From 8b03b1a8776043978aeac31682f94d65b4f3e514 Mon Sep 17 00:00:00 2001
From: Neer Sighted <neersighted@myopera.com>
Date: Fri, 1 Mar 2013 09:41:33 -0800
Subject: makepkg: Use a recursive git clone.

Make makepkg use a recursive clone when creating the working directory.
This will initialize submodules

Signed-off-by: Allan McRae <allan@archlinux.org>
---
 scripts/makepkg.sh.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

(limited to 'scripts')

diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 99ed44c2..c9661e93 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -490,7 +490,7 @@ download_git() {
 	pushd "$srcdir" &>/dev/null
 	rm -rf "${dir##*/}"
 
-	if ! git clone "$dir"; then
+	if ! git clone --recursive "$dir"; then
 		error "$(gettext "Failure while creating working copy of %s %s repo")" "${repo}" "git"
 		plain "$(gettext "Aborting...")"
 		exit 1
-- 
cgit v1.2.3-70-g09d2